- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# VST SDK 2.4 Class Hierarchy

This inheritance list is sorted roughly, but not completely, alphabetically:

- AEffect
- AEffEditor
- AudioEffect
  - AudioEffectX
- ERect
- fxBank
- fxProgram
- MidiKeyName
- MidiProgramCategory
- MidiProgramName
- VstAudioFile
- VstAudioFileMarker
- VstEvent
- VstEvents
- VstFileSelect
- VstFileType
- VstKeyCode
- VstMidiEvent
- VstMidiSysexEvent
- VstOfflineTask
- VstParameterProperties
- VstPatchChunkInfo
- VstPinProperties
- VstSpeakerArrangement
- VstSpeakerProperties
- VstTimeInfo
- VstVariableIo
- VstWindow

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.